﻿using Infragistics.Web.Mvc;
using SampleData;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace PersistSelectedItem.Controllers
{
    public class HomeController : Controller
    {
        static DataUtil data = new DataUtil();

        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(int[] comboProducts)
        {
            ViewBag.ProductComboSelectedItems = comboProducts;
            return View();
        }

        [ComboDataSourceAction]
        [ActionName("product-combo-data")]
        public ActionResult ComboData()
        {
            return View(data.Products.AsEnumerable());
        }
    }
}
